org.h2.jdbc

## Class JdbcArray

- java.lang.Object
- - org.h2.message.TraceObject
  - - org.h2.jdbc.JdbcArray

All Implemented Interfaces:
  java.sql.Array

    public class JdbcArray
    extends TraceObject
    implements java.sql.Array

Represents an ARRAY value.

### Field Summary

### Fields inherited from class org.h2.message.TraceObject

`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQLXML, STATEMENT, trace, XA_DATA_SOURCE, XID`

### Constructor Summary

Constructors
Constructor and Description
`JdbcArray(JdbcConnection conn, Value value, int id)` INTERNAL

### Method Summary

Methods
`void` `free()` Release all resources of this object.
`java.lang.Object` `getArray()` Returns the value as a Java array.
`java.lang.Object` `getArray(long index, int count)` Returns the value as a Java array.
`java.lang.Object` `getArray(long index, int count, java.util.Map<java.lang.String,java.lang.Class<?>> map)` Returns the value as a Java array.
`java.lang.Object` `getArray(java.util.Map<java.lang.String,java.lang.Class<?>> map)` Returns the value as a Java array.
`int` `getBaseType()` Returns the base type of the array.
`java.lang.String` `getBaseTypeName()` Returns the base type name of the array.
`java.sql.ResultSet` `getResultSet()` Returns the value as a result set.
`java.sql.ResultSet` `getResultSet(long index, int count)` Returns the value as a result set.
`java.sql.ResultSet` `getResultSet(long index, int count, java.util.Map<java.lang.String,java.lang.Class<?>> map)` Returns the value as a result set.
`java.sql.ResultSet` `getResultSet(java.util.Map<java.lang.String,java.lang.Class<?>> map)` Returns the value as a result set.
`java.lang.String` `toString()` INTERNAL

### Methods inherited from class org.h2.message.TraceObject

`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, unsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcArray

    public JdbcArray(JdbcConnection conn,
             Value value,
             int id)

INTERNAL

### Method Detail

#### getArray

    public java.lang.Object getArray()
                              throws java.sql.SQLException

Returns the value as a Java array. This method always returns an Object[].

Specified by:
  `getArray` in interface `java.sql.Array`
Returns:
  the Object array
Throws:
  `java.sql.SQLException`

#### getArray

    public java.lang.Object getArray(java.util.Map<java.lang.String,java.lang.Class<?>> map)
                              throws java.sql.SQLException

Returns the value as a Java array. This method always returns an Object[].

Specified by:
  `getArray` in interface `java.sql.Array`
Parameters:
  `map` - is ignored. Only empty or null maps are supported
Returns:
  the Object array
Throws:
  `java.sql.SQLException`

#### getArray

    public java.lang.Object getArray(long index,
                            int count)
                              throws java.sql.SQLException

Returns the value as a Java array. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count. This method always returns an Object[].

Specified by:
  `getArray` in interface `java.sql.Array`
Parameters:
  `index` - the start index of the subset (starting with 1)
  `count` - the maximum number of values
Returns:
  the Object array
Throws:
  `java.sql.SQLException`

#### getArray

    public java.lang.Object getArray(long index,
                            int count,
                            java.util.Map<java.lang.String,java.lang.Class<?>> map)
                              throws java.sql.SQLException

Returns the value as a Java array. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count. This method always returns an Object[].

Specified by:
  `getArray` in interface `java.sql.Array`
Parameters:
  `index` - the start index of the subset (starting with 1)
  `count` - the maximum number of values
  `map` - is ignored. Only empty or null maps are supported
Returns:
  the Object array
Throws:
  `java.sql.SQLException`

#### getBaseType

    public int getBaseType()
                    throws java.sql.SQLException

Returns the base type of the array. This database does support mixed type arrays and therefore there is no base type.

Specified by:
  `getBaseType` in interface `java.sql.Array`
Returns:
  Types.NULL
Throws:
  `java.sql.SQLException`

#### getBaseTypeName

    public java.lang.String getBaseTypeName()
                                     throws java.sql.SQLException

Returns the base type name of the array. This database does support mixed type arrays and therefore there is no base type.

Specified by:
  `getBaseTypeName` in interface `java.sql.Array`
Returns:
  "NULL"
Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value.

Specified by:
  `getResultSet` in interface `java.sql.Array`
Returns:
  the result set
Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet(java.util.Map<java.lang.String,java.lang.Class<?>> map)
                                    throws java.sql.SQLException

Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value.

Specified by:
  `getResultSet` in interface `java.sql.Array`
Parameters:
  `map` - is ignored. Only empty or null maps are supported
Returns:
  the result set
Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet(long index,
                                  int count)
                                    throws java.sql.SQLException

Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count.

Specified by:
  `getResultSet` in interface `java.sql.Array`
Parameters:
  `index` - the start index of the subset (starting with 1)
  `count` - the maximum number of values
Returns:
  the result set
Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet(long index,
                                  int count,
                                  java.util.Map<java.lang.String,java.lang.Class<?>> map)
                                    throws java.sql.SQLException

Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count.

Specified by:
  `getResultSet` in interface `java.sql.Array`
Parameters:
  `index` - the start index of the subset (starting with 1)
  `count` - the maximum number of values
  `map` - is ignored. Only empty or null maps are supported
Returns:
  the result set
Throws:
  `java.sql.SQLException`

#### free

    public void free()

Release all resources of this object.

Specified by:
  `free` in interface `java.sql.Array`

#### toString

    public java.lang.String toString()

INTERNAL

Overrides:
  `toString` in class `java.lang.Object`